Search the Community
Showing results for tags 'grade'.
-
Hello, I have a file attached. It's the design for a yard. I want to annotate the slope of the planes. I could draw a line and annotate the slope of that line as well. Is there a lisp program able to calculate the slope for planes/lines drawn in 3D? Thanks in advance. enveloppe ontwerp met afloop naar straat1.dwg
-
Hello, At the request of a co-worker I am trying to generate a table with the station number and % grade of the lane subassembly at that station. Any help is appreciated. Additionally, they want it to be a live, dynamic table in the drawing, not a toolbox report dropped into excel. Thanks! Phil
-
Ever wanted a dimension for the grade of a slope. (when drawing in 2d/plan) well i have, so i created this lisp to save time in manual calculating and creating some text. ; Grade ; ; by Robert Condon ; 13/9/12 ; ; ; To use: Select two points from left to ; right and it will give you the ; grade between the points ; ; ; (defun c:grd () (setq p1 (getpoint "\n1st point of Grade:")) (setq p1X (car p1)) (setq p1Y (cadr p1)) (setq p2 (getpoint "\n2nd point of Grade:")) (setq p2X (car p2)) (setq p2Y (cadr p2)) (setq rise (- p2Y p1Y)) (setq run (- p2X p1X)) (setq textposY (float (if(> (+ p1Y p2Y) 0) (/ (+ p1Y p2Y) 2 ) (setq textdisp 0) ))) (setq textposX (float(/ (+ p1X p2X) 2 ))) (setq textpos (list textposX textposY 0.0)) (setq trot (angle p1 p2)) (if (> rise 0) (progn (setq rise1a (/ run rise) ) (setq rise1 (rtos(/ run rise) ) ) ) ) (if (< rise 0) (progn (setq rise1a (/ run rise) ) (setq rise1 (rtos(/ run rise) ) ) ) ) (if (> run 0) (setq grade (rtos(* 100 (/ rise run)) ) ) ) (if (< run 0) (setq grade (rtos(* 100 (/ rise run)) ) ) ) (if (>= 9.999 rise1a) (setq textdisp (strcat "[url="file://\\pxsa1.4286"]\\pxsa1.4286[/url];" rise1 ":1")) (setq textdisp (strcat "[url="file://\\pxsa1.4286"]\\pxsa1.4286[/url];" grade "%")) ) (if (progn (> 1 rise1a)(< 0 rise1a) ) (setq textdisp (strcat "[url="file://\\pxsa1.4286"]\\pxsa1.4286[/url];" "1:" (rtos(* rise1a 100) ) )) ) (if (progn (< -1 rise1a)(> 0 rise1a) ) (setq textdisp (strcat "[url="file://\\pxsa1.4286"]\\pxsa1.4286[/url];" "1:" (rtos(* rise1a 100) ) )) ) (if (= rise 0) (progn (setq textdisp "")(princ "\nGrade is flat")) ) (if (= run 0) (progn (setq textdisp "")(princ "\nGrade is vertical") ) ) ;(setq text size (getint "Text size: ")) (entmake (list '(0 . "MTEXT") '(100 . "AcDbEntity") '(67 . 0) '(410 . "Model") '(100 . "AcDbMText") (cons 10 textpos) '(40 . 0.5) '(41 . 0) '(71 . '(72 . 5) (cons 1 textdisp) '(7 . "ISO3098B") '(210 0.0 0.0 1.0) '(11 1.0 0.0 0.0) '(42 . 0.833333) '(43 . 4.66667) (cons 50 trot) '(73 . '(44 . 1.0))) (princ) )